package com.xiguait.hello.springboot.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * HelloSpringBoot项目 Controller
 *
 * @author xiguait
 */
@RestController
public class MultipleConfigurationsController {

    @Value("${config.env:}")
    private String config;

    @RequestMapping("/config")
    public String helloSpringBoot() {
        return "environment=" + config;
    }
}
